;
; clear - clears the program memory space of the tms320
;

r0:     equ 0
r1:     equ 1
r2:     equ 2
r3:     equ 3

        org 0
        zac
        sacl r0         ; clear value
        lack 1
        sacl r1         ; unity constant
        lack zend       ; -> first location to clear
        sacl r2         ; vector
        lac r1,13       ; 0x1000
        sacl r3         ; save end mask
loop:
        lac r2          ; vector
        tblw r0         ; clear location
        add r1          ; bump vector
        sacl r2         ; and restore it
        and r3          ; done?
        bz loop         ; no, continue
done:   b done          ; yes, stall it

zend:   equ $           ; 1st location to clear
        end

