
From princeton!ut-sally!oakhill!charlie Tue Jun 16 11:30:47 1987
Received: from ut-sally.UUCP by seismo.CSS.GOV (5.54/1.14) with UUCP 
	id AA27183; Tue, 16 Jun 87 05:07:09 EDT
Posted-Date: Mon, 15 Jun 87 21:47:16 cdt
Received: by sally.utexas.edu (5.54/5.51)
	id AA22801; Tue, 16 Jun 87 03:49:47 CDT
Received: by oakhill.uucp (4.12/SMI-3.2)
	id AA13523; Mon, 15 Jun 87 21:47:16 cdt
Date: Mon, 15 Jun 87 21:47:16 cdt
From: princeton!ut-sally!oakhill!charlie (Charlie Thompson)
Message-Id: <8706160247.AA13523@oakhill.uucp>
To: princeton!idacrd!mac
Subject: 56000 Code
Status: R

Hi Bob,

Here is a cute little sinewave generation routine that doesn't usee
any sine tables.  It can be written on the tms32010 etc since it
is very easy to understand.  Try it on your simulator after assembling
it. Good luck and happy DSP'ing.

Charlie

---------------------cut here--------------------------------------
 ; Sine wave generation using two integrators
 ; instead of sine look-up
 ; By Charlie Thompson 6-13-87
 ; Inital values in a,b will determine amplitude
 ; X0 controls frequency of oscillation
      
		org     p:$40
		move #>$010000,x0 ;frequency in X0




;actual generation loop

loop		mac     x0,y0,a
		move     a,y0
		mac    -x0,y0,b
		move     b,y0

; ouput to D/A... mapped at y:$A000

		move b,y:$a000
		jmp     loop


-------------------------end of sineosc.asm--------------------------

idavax> 